Loading...
Searching...
No Matches
ICephIOAdapter.hh File Reference
`#include <sys/types.h>`
`#include "IXrdCephBufferData.hh"`
Include dependency graph for ICephIOAdapter.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCephBuffer::ICephIOAdapter

Manage the actual IO operations that read and write the data into Ceph via librados striper. Likely to be provided with a buffer in the concreate implementation's constructor. Attempt to decouple the low level IO operations from the buffer implementation. However, ight coupling might be strictly necessary, making this class a bit redundant. Consider to refactor if this proves to be the case ... More...

## Namespaces

namespace | XrdCephBuffer
| is a simple implementation of IXrdCephBufferData using std::vector<char> representation for the buffer